###############################################################################
# Paul Gampe - <pgampe@redhat.com>
# TODO: Localize language names when rpm supports utf-8 spec files
###############################################################################
%define lang_code zh_tw
%define lang_name Traditional Chinese
Copyright: distributable
Source: rhel-ig-x8664-multi-%{lang_code}-%{version}.tbz
Release: 4
Name: rhel-ig-x8664-multi-%{lang_code}
Group: Documentation
URL: http://www.redhat.com/docs/
Version: 3
Summary: x86, Itanium, and x86-64 Installation Guide (%{lang_code})
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: htmlview

%description 
The %{lang_name} Red Hat Enterprise Linux %{version} Installation Guide 
for the x86, Itanium, and x86-64 Architectures covers Red Hat 
Enterprise Linux installation methods. Every installation step is
discussed in detail, including system requirements, starting the
installation, choosing an installation type, configuring X, and
entering network information.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install

mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

cat > $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Installation Guide for x86, Itanium, and x86-64 (%{lang_code})
Comment=Read about installing Red Hat Enterprise Linux (%{lang_name})
Exec=htmlview file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/%{_defaultdocdir}/%{name}-%{version}/docs.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/applications/%{name}.desktop
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Wed Mar 24 2004 Paul Gampe <pgampe@redhat.com>
- Further renaming changes
- Bump to match other ig revision numbers

* Thu Mar 04 2004 Paul Gampe <pgampe@redhat.com>
- Renaming to x86-64

* Mon Sep 08 2003 Paul Gampe <pgampe@redhat.com>
- Initial spec

